#### Linux From Scratch - Version r13.0-6

### Chapter 8. Installing Basic System Software

- Prev

  OpenSSL-3.6.1

- Next

  Libffi-3.5.2

- Up
- Home

# 8.50. Libelf from Elfutils-0.194

Libelf is a library for handling ELF (Executable and Linkable Format) files.

Approximate build time: 0.1 SBU
Required disk space: 41 MB

## 8.50.1. Installation of Libelf

Libelf is part of the elfutils-0.194 package. Use the elfutils-0.194.tar.bz2 file as the source tarball.

Prepare Libelf for compilation:

    ./configure --prefix=/usr        \
                --disable-debuginfod \
                --enable-libdebuginfod=dummy

Compile only Libelf:

    make -C lib
    make -C libelf

The test suite fails to build with glibc-2.43 or newer.

Install only Libelf:

    make -C libelf install
    install -vm644 config/libelf.pc /usr/lib/pkgconfig
    rm /usr/lib/libelf.a

## 8.50.2. Contents of Libelf

Installed library: libelf.so
Installed directory: /usr/include/elfutils

### Short Descriptions

`libelf.so` | Contains API functions to handle ELF object files

- Prev

  OpenSSL-3.6.1

- Next

  Libffi-3.5.2

- Up
- Home